---
title: AudioNode.context
slug: Web/API/AudioNode/context
tags:
  - API
  - AudioNode
  - Context
  - Property
  - Reference
  - Web Audio API
---
<div>{{APIRef("Web Audio API")}}</div>

<p class="summary">The read-only <code>context</code> property of the {{domxref("AudioNode")}} interface returns the associated {{domxref("BaseAudioContext")}}, that is the object representing the processing graph the node is participating in.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>aContext</em> = <em>anAudioNode</em>.context;</pre>

<h3 id="Value">Value</h3>

<p>The {{domxref("AudioContext")}} or {{domxref("OfflineAudioContext")}} object that was used to construct this <code>AudioNode</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight[8,9]">const AudioContext = window.AudioContext || window.webkitAudioContext;
const audioCtx = new AudioContext();

const oscillator = audioCtx.createOscillator();
const gainNode = audioCtx.createGain();
oscillator.connect(gainNode).connect(audioCtx.destination);

console.log(oscillator.context); // AudioContext
console.log(oscillator.context === audioCtx); // true
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audionode-context', 'context')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioNode.context")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
